import { useRef } from "react";
import useMap from './map';
import { useMarker, startAnimation, pauseAnimation, resumeAnimation, stopAnimation } from './marker';
import './style.less';

export default (props) => {
  const { lineArr } = props
  const container = useRef()
  const { amapRef, map } = useMap(container);
  // var lineArr = [
  //   [116.478935, 39.997761],
  //   [116.478939, 39.997825],
  //   [116.478912, 39.998549],
  //   [116.478912, 39.998549],
  //   [116.478998, 39.998555],
  //   [116.478998, 39.998555],
  //   [116.479282, 39.99856],
  //   [116.479658, 39.998528],
  //   [116.480151, 39.998453],
  //   [116.480784, 39.998302],
  //   [116.480784, 39.998302],
  //   [116.481149, 39.998184],
  //   [116.481573, 39.997997],
  //   [116.481863, 39.997846],
  //   [116.482072, 39.997718],
  //   [116.482362, 39.997718],
  //   [116.483633, 39.998935],
  //   [116.48367, 39.998968],
  //   [116.484648, 39.999861],
  // ];
  useMarker(amapRef, map, lineArr);

  return (
    <>
      <div ref={container} id="container" style={{ height: '700px', position: 'relative' }} >
        <div className="input-card">
          <h4>轨迹回放控制</h4>
          <div className="input-item">
            <input type="button" className="btn" value="开始动画" id="start" onClick={startAnimation} />
            <input type="button" className="btn" value="暂停动画" id="pause" onClick={pauseAnimation} />
          </div>
          <div className="input-item">
            <input type="button" className="btn" value="继续动画" id="resume" onClick={resumeAnimation} />
            <input type="button" className="btn" value="停止动画" id="stop" onClick={stopAnimation} />
          </div>
        </div>
      </div>
    </>
  )
}